<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/TelescopicBaton.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/d9f/_telescopic_baton_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">TelescopicBaton.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d2/d9f/_telescopic_baton_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../df/d93/class_telescopic_baton.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../df/d93/class_telescopic_baton.html">TelescopicBaton</a> : <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../df/d93/class_telescopic_baton.html#aeb24c0ca0a6f43d464d3a109f29e6a05">    3</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../df/d93/class_telescopic_baton.html#aeb24c0ca0a6f43d464d3a109f29e6a05">m_MeleeMode</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../df/d93/class_telescopic_baton.html#a24bdaf5c2eb0d656606ff105f5a61a2d">    4</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../df/d93/class_telescopic_baton.html#a24bdaf5c2eb0d656606ff105f5a61a2d">m_MeleeHeavyMode</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../df/d93/class_telescopic_baton.html#aa858346592bc1cfeae4e75061ca08e7a">    5</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../df/d93/class_telescopic_baton.html#aa858346592bc1cfeae4e75061ca08e7a">m_MeleeSprintMode</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../df/d93/class_telescopic_baton.html#aa8ad74fecaf5b2d5f257d28ea095e2f0">    7</a></span>    <span class="keyword">protected</span> ref <a class="code hl_class" href="../../d9/d4b/class_openable_behaviour.html">OpenableBehaviour</a> <a class="code hl_variable" href="../../df/d93/class_telescopic_baton.html#aa8ad74fecaf5b2d5f257d28ea095e2f0">m_Openable</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../df/d93/class_telescopic_baton.html#ac94e4a736c233992a2a175d578b151c1">    9</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d93/class_telescopic_baton.html#ac94e4a736c233992a2a175d578b151c1">TelescopicBaton</a>()</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    {</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <a class="code hl_variable" href="../../df/d93/class_telescopic_baton.html#aeb24c0ca0a6f43d464d3a109f29e6a05">m_MeleeMode</a> = 0;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_variable" href="../../df/d93/class_telescopic_baton.html#a24bdaf5c2eb0d656606ff105f5a61a2d">m_MeleeHeavyMode</a> = 1;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <a class="code hl_variable" href="../../df/d93/class_telescopic_baton.html#aa858346592bc1cfeae4e75061ca08e7a">m_MeleeSprintMode</a> = 2;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_variable" href="../../df/d93/class_telescopic_baton.html#aa8ad74fecaf5b2d5f257d28ea095e2f0">m_Openable</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d9/d4b/class_openable_behaviour.html">OpenableBehaviour</a>(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        RegisterNetSyncVariableBool(<span class="stringliteral">&quot;m_Openable.m_IsOpened&quot;</span>);</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_function" href="../../df/d93/class_telescopic_baton.html#a7251d55504b3f34448616aeb624e0f52">UpdateVisualState</a>();</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../df/d93/class_telescopic_baton.html#aebc6f30b6727fe0db3fed5c8e84e79d6">   23</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d93/class_telescopic_baton.html#aebc6f30b6727fe0db3fed5c8e84e79d6">Open</a>()</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_variable" href="../../df/d93/class_telescopic_baton.html#aa8ad74fecaf5b2d5f257d28ea095e2f0">m_Openable</a>.<a class="code hl_function" href="../../d9/d4b/class_openable_behaviour.html#af16b1caa1c9ab6578a21b015f09bde82">Open</a>();</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        SetSynchDirty();</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <a class="code hl_variable" href="../../df/d93/class_telescopic_baton.html#aeb24c0ca0a6f43d464d3a109f29e6a05">m_MeleeMode</a> = 3;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <a class="code hl_variable" href="../../df/d93/class_telescopic_baton.html#a24bdaf5c2eb0d656606ff105f5a61a2d">m_MeleeHeavyMode</a> = 4;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <a class="code hl_variable" href="../../df/d93/class_telescopic_baton.html#aa858346592bc1cfeae4e75061ca08e7a">m_MeleeSprintMode</a> = 5;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_function" href="../../df/d93/class_telescopic_baton.html#a7251d55504b3f34448616aeb624e0f52">UpdateVisualState</a>();</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../df/d93/class_telescopic_baton.html#a18037ce27fd62e645ce7bfc495417ba4">   36</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d93/class_telescopic_baton.html#a18037ce27fd62e645ce7bfc495417ba4">Close</a>()</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <a class="code hl_variable" href="../../df/d93/class_telescopic_baton.html#aa8ad74fecaf5b2d5f257d28ea095e2f0">m_Openable</a>.<a class="code hl_function" href="../../d9/d4b/class_openable_behaviour.html#a13fcdce73dd0d787c2bdfc7ccbb5f89e">Close</a>();</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        SetSynchDirty();</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <a class="code hl_variable" href="../../df/d93/class_telescopic_baton.html#aeb24c0ca0a6f43d464d3a109f29e6a05">m_MeleeMode</a> = 0;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <a class="code hl_variable" href="../../df/d93/class_telescopic_baton.html#a24bdaf5c2eb0d656606ff105f5a61a2d">m_MeleeHeavyMode</a> = 1;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <a class="code hl_variable" href="../../df/d93/class_telescopic_baton.html#aa858346592bc1cfeae4e75061ca08e7a">m_MeleeSprintMode</a> = 2;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <a class="code hl_function" href="../../df/d93/class_telescopic_baton.html#a7251d55504b3f34448616aeb624e0f52">UpdateVisualState</a>();</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../df/d93/class_telescopic_baton.html#aab70312c038cd2eee1780a91292a24ad">   49</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d93/class_telescopic_baton.html#aab70312c038cd2eee1780a91292a24ad">IsOpen</a>()</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../df/d93/class_telescopic_baton.html#aa8ad74fecaf5b2d5f257d28ea095e2f0">m_Openable</a>.<a class="code hl_function" href="../../d9/d4b/class_openable_behaviour.html#a856d10af54c2557171cf4fecdcc07653">IsOpened</a>();</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../df/d93/class_telescopic_baton.html#a7251d55504b3f34448616aeb624e0f52">   54</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d93/class_telescopic_baton.html#a7251d55504b3f34448616aeb624e0f52">UpdateVisualState</a>()</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../df/d93/class_telescopic_baton.html#aab70312c038cd2eee1780a91292a24ad">IsOpen</a>() )</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            SetAnimationPhase(<span class="stringliteral">&quot;Doors1&quot;</span>, 0.0);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        {</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>            SetAnimationPhase(<span class="stringliteral">&quot;Doors1&quot;</span>, 1.0);</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../df/d93/class_telescopic_baton.html#a914b5a3c2e4c3a6419349fccd1e0acf6">   66</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../df/d93/class_telescopic_baton.html#a914b5a3c2e4c3a6419349fccd1e0acf6">GetMeleeMode</a>()</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../df/d93/class_telescopic_baton.html#aeb24c0ca0a6f43d464d3a109f29e6a05">m_MeleeMode</a>;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../df/d93/class_telescopic_baton.html#ade1a573c145e30359b196bb9c1ea063e">   71</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../df/d93/class_telescopic_baton.html#ade1a573c145e30359b196bb9c1ea063e">GetMeleeHeavyMode</a>()</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../df/d93/class_telescopic_baton.html#a24bdaf5c2eb0d656606ff105f5a61a2d">m_MeleeHeavyMode</a>;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../df/d93/class_telescopic_baton.html#ae20cf4e7ff88270e2e6aa86654e6f3ea">   76</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../df/d93/class_telescopic_baton.html#ae20cf4e7ff88270e2e6aa86654e6f3ea">GetMeleeSprintMode</a>()</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    {</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../df/d93/class_telescopic_baton.html#aa858346592bc1cfeae4e75061ca08e7a">m_MeleeSprintMode</a>;</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    }</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno"><a class="line" href="../../df/d93/class_telescopic_baton.html#a48eb3b71ad91d7343c672a1c5977af8f">   81</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d93/class_telescopic_baton.html#a48eb3b71ad91d7343c672a1c5977af8f">OnVariablesSynchronized</a>()</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    {</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        super.OnVariablesSynchronized();</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span> </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <a class="code hl_function" href="../../df/d93/class_telescopic_baton.html#a7251d55504b3f34448616aeb624e0f52">UpdateVisualState</a>();</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    }</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="../../df/d93/class_telescopic_baton.html#a65a61cc512a37ce25b434b49089be57a">   88</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d93/class_telescopic_baton.html#a65a61cc512a37ce25b434b49089be57a">SetActions</a>()</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    {</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        super.SetActions();</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../da/dc0/class_action_open.html">ActionOpen</a>);</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d4/d77/class_action_close.html">ActionClose</a>);</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    }</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>}</div>
<div class="ttc" id="a_advanced_communication_8c_html_a033d077df58807906c4dad3101d8768c"><div class="ttname"><a href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a></div><div class="ttdeci">void AddAction(typename actionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dfd/_advanced_communication_8c_source.html#l00220">AdvancedCommunication.c:220</a></div></div>
<div class="ttc" id="aclass_action_close_html"><div class="ttname"><a href="../../d4/d77/class_action_close.html">ActionClose</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/df5/_action_close_8c_source.html#l00001">ActionClose.c:2</a></div></div>
<div class="ttc" id="aclass_action_open_html"><div class="ttname"><a href="../../da/dc0/class_action_open.html">ActionOpen</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d2f/_action_open_8c_source.html#l00001">ActionOpen.c:2</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00691">InventoryItem.c:692</a></div></div>
<div class="ttc" id="aclass_openable_behaviour_html"><div class="ttname"><a href="../../d9/d4b/class_openable_behaviour.html">OpenableBehaviour</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/df0/_openable_behaviour_8c_source.html#l00001">OpenableBehaviour.c:2</a></div></div>
<div class="ttc" id="aclass_openable_behaviour_html_a13fcdce73dd0d787c2bdfc7ccbb5f89e"><div class="ttname"><a href="../../d9/d4b/class_openable_behaviour.html#a13fcdce73dd0d787c2bdfc7ccbb5f89e">OpenableBehaviour::Close</a></div><div class="ttdeci">void Close()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/df0/_openable_behaviour_8c_source.html#l00015">OpenableBehaviour.c:15</a></div></div>
<div class="ttc" id="aclass_openable_behaviour_html_a856d10af54c2557171cf4fecdcc07653"><div class="ttname"><a href="../../d9/d4b/class_openable_behaviour.html#a856d10af54c2557171cf4fecdcc07653">OpenableBehaviour::IsOpened</a></div><div class="ttdeci">bool IsOpened()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/df0/_openable_behaviour_8c_source.html#l00020">OpenableBehaviour.c:20</a></div></div>
<div class="ttc" id="aclass_openable_behaviour_html_af16b1caa1c9ab6578a21b015f09bde82"><div class="ttname"><a href="../../d9/d4b/class_openable_behaviour.html#af16b1caa1c9ab6578a21b015f09bde82">OpenableBehaviour::Open</a></div><div class="ttdeci">void Open()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/df0/_openable_behaviour_8c_source.html#l00010">OpenableBehaviour.c:10</a></div></div>
<div class="ttc" id="aclass_telescopic_baton_html"><div class="ttname"><a href="../../df/d93/class_telescopic_baton.html">TelescopicBaton</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d9f/_telescopic_baton_8c_source.html#l00001">TelescopicBaton.c:2</a></div></div>
<div class="ttc" id="aclass_telescopic_baton_html_a18037ce27fd62e645ce7bfc495417ba4"><div class="ttname"><a href="../../df/d93/class_telescopic_baton.html#a18037ce27fd62e645ce7bfc495417ba4">TelescopicBaton::Close</a></div><div class="ttdeci">override void Close()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d9f/_telescopic_baton_8c_source.html#l00036">TelescopicBaton.c:36</a></div></div>
<div class="ttc" id="aclass_telescopic_baton_html_a24bdaf5c2eb0d656606ff105f5a61a2d"><div class="ttname"><a href="../../df/d93/class_telescopic_baton.html#a24bdaf5c2eb0d656606ff105f5a61a2d">TelescopicBaton::m_MeleeHeavyMode</a></div><div class="ttdeci">protected int m_MeleeHeavyMode</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d9f/_telescopic_baton_8c_source.html#l00004">TelescopicBaton.c:4</a></div></div>
<div class="ttc" id="aclass_telescopic_baton_html_a48eb3b71ad91d7343c672a1c5977af8f"><div class="ttname"><a href="../../df/d93/class_telescopic_baton.html#a48eb3b71ad91d7343c672a1c5977af8f">TelescopicBaton::OnVariablesSynchronized</a></div><div class="ttdeci">override void OnVariablesSynchronized()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d9f/_telescopic_baton_8c_source.html#l00081">TelescopicBaton.c:81</a></div></div>
<div class="ttc" id="aclass_telescopic_baton_html_a65a61cc512a37ce25b434b49089be57a"><div class="ttname"><a href="../../df/d93/class_telescopic_baton.html#a65a61cc512a37ce25b434b49089be57a">TelescopicBaton::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d9f/_telescopic_baton_8c_source.html#l00088">TelescopicBaton.c:88</a></div></div>
<div class="ttc" id="aclass_telescopic_baton_html_a7251d55504b3f34448616aeb624e0f52"><div class="ttname"><a href="../../df/d93/class_telescopic_baton.html#a7251d55504b3f34448616aeb624e0f52">TelescopicBaton::UpdateVisualState</a></div><div class="ttdeci">protected void UpdateVisualState()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d9f/_telescopic_baton_8c_source.html#l00054">TelescopicBaton.c:54</a></div></div>
<div class="ttc" id="aclass_telescopic_baton_html_a914b5a3c2e4c3a6419349fccd1e0acf6"><div class="ttname"><a href="../../df/d93/class_telescopic_baton.html#a914b5a3c2e4c3a6419349fccd1e0acf6">TelescopicBaton::GetMeleeMode</a></div><div class="ttdeci">override int GetMeleeMode()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d9f/_telescopic_baton_8c_source.html#l00066">TelescopicBaton.c:66</a></div></div>
<div class="ttc" id="aclass_telescopic_baton_html_aa858346592bc1cfeae4e75061ca08e7a"><div class="ttname"><a href="../../df/d93/class_telescopic_baton.html#aa858346592bc1cfeae4e75061ca08e7a">TelescopicBaton::m_MeleeSprintMode</a></div><div class="ttdeci">protected int m_MeleeSprintMode</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d9f/_telescopic_baton_8c_source.html#l00005">TelescopicBaton.c:5</a></div></div>
<div class="ttc" id="aclass_telescopic_baton_html_aa8ad74fecaf5b2d5f257d28ea095e2f0"><div class="ttname"><a href="../../df/d93/class_telescopic_baton.html#aa8ad74fecaf5b2d5f257d28ea095e2f0">TelescopicBaton::m_Openable</a></div><div class="ttdeci">protected ref OpenableBehaviour m_Openable</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d9f/_telescopic_baton_8c_source.html#l00007">TelescopicBaton.c:7</a></div></div>
<div class="ttc" id="aclass_telescopic_baton_html_aab70312c038cd2eee1780a91292a24ad"><div class="ttname"><a href="../../df/d93/class_telescopic_baton.html#aab70312c038cd2eee1780a91292a24ad">TelescopicBaton::IsOpen</a></div><div class="ttdeci">override bool IsOpen()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d9f/_telescopic_baton_8c_source.html#l00049">TelescopicBaton.c:49</a></div></div>
<div class="ttc" id="aclass_telescopic_baton_html_ac94e4a736c233992a2a175d578b151c1"><div class="ttname"><a href="../../df/d93/class_telescopic_baton.html#ac94e4a736c233992a2a175d578b151c1">TelescopicBaton::TelescopicBaton</a></div><div class="ttdeci">void TelescopicBaton()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d9f/_telescopic_baton_8c_source.html#l00009">TelescopicBaton.c:9</a></div></div>
<div class="ttc" id="aclass_telescopic_baton_html_ade1a573c145e30359b196bb9c1ea063e"><div class="ttname"><a href="../../df/d93/class_telescopic_baton.html#ade1a573c145e30359b196bb9c1ea063e">TelescopicBaton::GetMeleeHeavyMode</a></div><div class="ttdeci">override int GetMeleeHeavyMode()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d9f/_telescopic_baton_8c_source.html#l00071">TelescopicBaton.c:71</a></div></div>
<div class="ttc" id="aclass_telescopic_baton_html_ae20cf4e7ff88270e2e6aa86654e6f3ea"><div class="ttname"><a href="../../df/d93/class_telescopic_baton.html#ae20cf4e7ff88270e2e6aa86654e6f3ea">TelescopicBaton::GetMeleeSprintMode</a></div><div class="ttdeci">override int GetMeleeSprintMode()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d9f/_telescopic_baton_8c_source.html#l00076">TelescopicBaton.c:76</a></div></div>
<div class="ttc" id="aclass_telescopic_baton_html_aeb24c0ca0a6f43d464d3a109f29e6a05"><div class="ttname"><a href="../../df/d93/class_telescopic_baton.html#aeb24c0ca0a6f43d464d3a109f29e6a05">TelescopicBaton::m_MeleeMode</a></div><div class="ttdeci">protected int m_MeleeMode</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d9f/_telescopic_baton_8c_source.html#l00003">TelescopicBaton.c:3</a></div></div>
<div class="ttc" id="aclass_telescopic_baton_html_aebc6f30b6727fe0db3fed5c8e84e79d6"><div class="ttname"><a href="../../df/d93/class_telescopic_baton.html#aebc6f30b6727fe0db3fed5c8e84e79d6">TelescopicBaton::Open</a></div><div class="ttdeci">override void Open()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d9f/_telescopic_baton_8c_source.html#l00023">TelescopicBaton.c:23</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../d2/d9f/_telescopic_baton_8c.html">TelescopicBaton.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
